Index: trunk/src/org/openstreetmap/josm/gui/ExtendedDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/ExtendedDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/ExtendedDialog.java	(revision 8308)
@@ -77,5 +77,5 @@
     private boolean toggleable = false;
     private String rememberSizePref = "";
-    private WindowGeometry defaultWindowGeometry = null;
+    private transient WindowGeometry defaultWindowGeometry = null;
     private String togglePref = "";
     private int toggleValue = -1;
@@ -85,9 +85,9 @@
     private final String[] bTexts;
     private String[] bToolTipTexts;
-    private Icon[] bIcons;
-    private List<Integer> cancelButtonIdx = Collections.emptyList();
+    private transient Icon[] bIcons;
+    private transient List<Integer> cancelButtonIdx = Collections.emptyList();
     private int defaultButtonIdx = 1;
     protected JButton defaultButton = null;
-    private Icon icon;
+    private transient Icon icon;
     private boolean modal;
     private boolean focusOnDefaultButton = false;
@@ -105,6 +105,6 @@
 
     // For easy access when inherited
-    protected Insets contentInsets = new Insets(10,5,0,5);
-    protected List<JButton> buttons = new ArrayList<>();
+    protected transient Insets contentInsets = new Insets(10,5,0,5);
+    protected transient List<JButton> buttons = new ArrayList<>();
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/IconToggleButton.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/IconToggleButton.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/IconToggleButton.java	(revision 8308)
@@ -25,5 +25,5 @@
 
     public boolean groupbutton;
-    private ShowHideButtonListener listener;
+    private transient ShowHideButtonListener listener;
     private boolean hideIfDisabled = false;
     private boolean isExpert;
Index: trunk/src/org/openstreetmap/josm/gui/ImageryMenu.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/ImageryMenu.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/ImageryMenu.java	(revision 8308)
@@ -58,5 +58,5 @@
     };
 
-    private Action offsetAction = new JosmAction(
+    private transient Action offsetAction = new JosmAction(
             tr("Imagery offset"), "mapmode/adjustimg", tr("Adjust imagery offset"), null, false, false) {
         {
@@ -256,5 +256,5 @@
      * @since 5803
      */
-    private List <Object> dynamicItems = new ArrayList<>(20);
+    private transient List <Object> dynamicItems = new ArrayList<>(20);
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/MainMenu.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/MainMenu.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/MainMenu.java	(revision 8308)
@@ -232,5 +232,5 @@
     public final HistoryInfoWebAction historyinfoweb = new HistoryInfoWebAction();
     /** View / "Zoom to"... actions */
-    public final Map<String, AutoScaleAction> autoScaleActions = new HashMap<>();
+    public final transient Map<String, AutoScaleAction> autoScaleActions = new HashMap<>();
     /** View / Jump to position */
     public final JumpToAction jumpToAct = new JumpToAction();
Index: trunk/src/org/openstreetmap/josm/gui/MapFrame.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/MapFrame.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/MapFrame.java	(revision 8308)
@@ -103,5 +103,5 @@
      * This object allows to detect key press and release events
      */
-    public final AdvancedKeyPressDetector keyDetector = new AdvancedKeyPressDetector();
+    public final transient AdvancedKeyPressDetector keyDetector = new AdvancedKeyPressDetector();
 
     /**
@@ -114,8 +114,8 @@
     private final JToolBar toolBarToggle = new JToolBar(JToolBar.VERTICAL);
 
-    private final List<ToggleDialog> allDialogs = new ArrayList<>();
-    private final List<MapMode> mapModes = new ArrayList<>();
-    private final List<IconToggleButton> allDialogButtons = new ArrayList<>();
-    public final List<IconToggleButton> allMapModeButtons = new ArrayList<>();
+    private final transient List<ToggleDialog> allDialogs = new ArrayList<>();
+    private final transient List<MapMode> mapModes = new ArrayList<>();
+    private final transient List<IconToggleButton> allDialogButtons = new ArrayList<>();
+    public final transient List<IconToggleButton> allMapModeButtons = new ArrayList<>();
 
     private final ListAllButtonsAction listAllDialogsAction = new ListAllButtonsAction(allDialogButtons);
@@ -141,5 +141,5 @@
     public LassoModeAction mapModeSelectLasso;
 
-    private final Map<Layer, MapMode> lastMapMode = new HashMap<>();
+    private final transient Map<Layer, MapMode> lastMapMode = new HashMap<>();
     private final MapMode mapModeDraw;
     private final MapMode mapModeZoom;
@@ -538,5 +538,5 @@
 
         private JButton button;
-        private Collection<? extends HideableButton> buttons;
+        private transient Collection<? extends HideableButton> buttons;
 
 
@@ -670,5 +670,5 @@
     private static final CopyOnWriteArrayList<MapModeChangeListener> mapModeChangeListeners = new CopyOnWriteArrayList<>();
 
-    private PreferenceChangedListener sidetoolbarPreferencesChangedListener;
+    private transient PreferenceChangedListener sidetoolbarPreferencesChangedListener;
     /**
      * Adds a mapMode change listener
Index: trunk/src/org/openstreetmap/josm/gui/MapStatus.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/MapStatus.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/MapStatus.java	(revision 8308)
@@ -121,5 +121,5 @@
      */
     private final MapView mv;
-    private final Collector collector;
+    private final transient Collector collector;
 
     public class BackgroundProgressMonitor implements ProgressMonitorDialog {
@@ -175,15 +175,21 @@
     }
 
-    private final ImageLabel latText = new ImageLabel("lat", tr("The geographic latitude at the mouse pointer."), 11, PROP_BACKGROUND_COLOR.get());
-    private final ImageLabel lonText = new ImageLabel("lon", tr("The geographic longitude at the mouse pointer."), 11, PROP_BACKGROUND_COLOR.get());
-    private final ImageLabel headingText = new ImageLabel("heading", tr("The (compass) heading of the line segment being drawn."), 6, PROP_BACKGROUND_COLOR.get());
-    private final ImageLabel angleText = new ImageLabel("angle", tr("The angle between the previous and the current way segment."), 6, PROP_BACKGROUND_COLOR.get());
-    private final ImageLabel distText = new ImageLabel("dist", tr("The length of the new way segment being drawn."), 10, PROP_BACKGROUND_COLOR.get());
-    private final ImageLabel nameText = new ImageLabel("name", tr("The name of the object at the mouse pointer."), 20, PROP_BACKGROUND_COLOR.get());
+    private final ImageLabel latText = new ImageLabel("lat",
+            tr("The geographic latitude at the mouse pointer."), 11, PROP_BACKGROUND_COLOR.get());
+    private final ImageLabel lonText = new ImageLabel("lon",
+            tr("The geographic longitude at the mouse pointer."), 11, PROP_BACKGROUND_COLOR.get());
+    private final ImageLabel headingText = new ImageLabel("heading",
+            tr("The (compass) heading of the line segment being drawn."), 6, PROP_BACKGROUND_COLOR.get());
+    private final ImageLabel angleText = new ImageLabel("angle",
+            tr("The angle between the previous and the current way segment."), 6, PROP_BACKGROUND_COLOR.get());
+    private final ImageLabel distText = new ImageLabel("dist",
+            tr("The length of the new way segment being drawn."), 10, PROP_BACKGROUND_COLOR.get());
+    private final ImageLabel nameText = new ImageLabel("name",
+            tr("The name of the object at the mouse pointer."), 20, PROP_BACKGROUND_COLOR.get());
     private final JosmTextField helpText = new JosmTextField();
     private final JProgressBar progressBar = new JProgressBar();
-    public final BackgroundProgressMonitor progressMonitor = new BackgroundProgressMonitor();
-
-    private final SoMChangeListener somListener;
+    public final transient BackgroundProgressMonitor progressMonitor = new BackgroundProgressMonitor();
+
+    private final transient SoMChangeListener somListener;
 
     // Distance value displayed in distText, stored if refresh needed after a change of system of measurement
@@ -197,7 +203,7 @@
      * It gets destroyed by destroy() when the MapFrame itself is destroyed.
      */
-    private Thread thread;
-
-    private final List<StatusTextHistory> statusText = new ArrayList<>();
+    private transient Thread thread;
+
+    private final transient List<StatusTextHistory> statusText = new ArrayList<>();
 
     private static class StatusTextHistory {
@@ -649,7 +655,7 @@
      * The last sent mouse movement event.
      */
-    private MouseState mouseState = new MouseState();
-
-    private AWTEventListener awtListener = new AWTEventListener() {
+    private transient MouseState mouseState = new MouseState();
+
+    private transient AWTEventListener awtListener = new AWTEventListener() {
          @Override
          public void eventDispatched(AWTEvent event) {
@@ -667,5 +673,5 @@
     };
 
-    private MouseMotionListener mouseMotionListener = new MouseMotionListener() {
+    private transient MouseMotionListener mouseMotionListener = new MouseMotionListener() {
         @Override
         public void mouseMoved(MouseEvent e) {
@@ -683,5 +689,5 @@
     };
 
-    private KeyAdapter keyAdapter = new KeyAdapter() {
+    private transient KeyAdapter keyAdapter = new KeyAdapter() {
         @Override public void keyPressed(KeyEvent e) {
             synchronized (collector) {
@@ -722,5 +728,5 @@
         private final JMenuItem jumpButton = add(Main.main.menu.jumpToAct);
 
-        private final Collection<JCheckBoxMenuItem> somItems = new ArrayList<>();
+        private final transient Collection<JCheckBoxMenuItem> somItems = new ArrayList<>();
 
         private final JSeparator separator = new JSeparator();
Index: trunk/src/org/openstreetmap/josm/gui/MapView.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/MapView.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/MapView.java	(revision 8308)
@@ -207,16 +207,16 @@
      * A list of all layers currently loaded.
      */
-    private final List<Layer> layers = new ArrayList<>();
+    private final transient List<Layer> layers = new ArrayList<>();
     /**
      * The play head marker: there is only one of these so it isn't in any specific layer
      */
-    public PlayHeadMarker playHeadMarker = null;
+    public transient PlayHeadMarker playHeadMarker = null;
 
     /**
      * The layer from the layers list that is currently active.
      */
-    private Layer activeLayer;
-
-    private OsmDataLayer editLayer;
+    private transient Layer activeLayer;
+
+    private transient OsmDataLayer editLayer;
 
     /**
@@ -225,15 +225,15 @@
     public MouseEvent lastMEvent = new MouseEvent(this, 0, 0, 0, 0, 0, 0, false); // In case somebody reads it before first mouse move
 
-    private final List<MapViewPaintable> temporaryLayers = new LinkedList<>();
-
-    private BufferedImage nonChangedLayersBuffer;
-    private BufferedImage offscreenBuffer;
+    private final transient List<MapViewPaintable> temporaryLayers = new LinkedList<>();
+
+    private transient BufferedImage nonChangedLayersBuffer;
+    private transient BufferedImage offscreenBuffer;
     // Layers that wasn't changed since last paint
-    private final List<Layer> nonChangedLayers = new ArrayList<>();
-    private Layer changedLayer;
+    private final transient List<Layer> nonChangedLayers = new ArrayList<>();
+    private transient Layer changedLayer;
     private int lastViewID;
     private boolean paintPreferencesChanged = true;
     private Rectangle lastClipBounds = new Rectangle();
-    private MapMover mapMover;
+    private transient MapMover mapMover;
 
     /**
@@ -909,6 +909,7 @@
     }
 
-    private SelectionChangedListener repaintSelectionChangedListener = new SelectionChangedListener(){
-        @Override public void selectionChanged(Collection<? extends OsmPrimitive> newSelection) {
+    private transient SelectionChangedListener repaintSelectionChangedListener = new SelectionChangedListener(){
+        @Override
+        public void selectionChanged(Collection<? extends OsmPrimitive> newSelection) {
             repaint();
         }
Index: trunk/src/org/openstreetmap/josm/gui/NavigatableComponent.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/NavigatableComponent.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/NavigatableComponent.java	(revision 8308)
@@ -88,5 +88,5 @@
     }
 
-    public Predicate<OsmPrimitive> isSelectablePredicate = new Predicate<OsmPrimitive>() {
+    public transient Predicate<OsmPrimitive> isSelectablePredicate = new Predicate<OsmPrimitive>() {
         @Override
         public boolean evaluate(OsmPrimitive prim) {
@@ -180,9 +180,9 @@
     protected EastNorth center = calculateDefaultCenter();
 
-    private final Object paintRequestLock = new Object();
+    private final transient Object paintRequestLock = new Object();
     private Rectangle paintRect = null;
     private Polygon paintPoly = null;
 
-    protected ViewportData initialViewport;
+    protected transient ViewportData initialViewport;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/PleaseWaitDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/PleaseWaitDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/PleaseWaitDialog.java	(revision 8308)
@@ -34,5 +34,5 @@
     public final JLabel currentAction = new JLabel("");
     private final JLabel customText = new JLabel("");
-    public final BoundedRangeModel progress = progressBar.getModel();
+    public final transient BoundedRangeModel progress = progressBar.getModel();
     private JButton btnCancel;
     private JButton btnInBackground;
Index: trunk/src/org/openstreetmap/josm/gui/ScrollViewport.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/ScrollViewport.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/ScrollViewport.java	(revision 8308)
@@ -66,5 +66,5 @@
     private JComponent component = null;
 
-    private List<JButton> buttons = new ArrayList<>();
+    private transient List<JButton> buttons = new ArrayList<>();
 
     private Timer timer = new Timer(100, new ActionListener() {
Index: trunk/src/org/openstreetmap/josm/gui/SideButton.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/SideButton.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/SideButton.java	(revision 8308)
@@ -27,5 +27,5 @@
     private static final int iconHeight = 20;
 
-    private PropertyChangeListener propertyChangeListener;
+    private transient PropertyChangeListener propertyChangeListener;
 
     public SideButton(Action action) {
Index: trunk/src/org/openstreetmap/josm/gui/SplashScreen.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/SplashScreen.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/SplashScreen.java	(revision 8308)
@@ -40,5 +40,5 @@
 public class SplashScreen extends JFrame {
 
-    private final SwingRenderingProgressMonitor progressMonitor;
+    private final transient SwingRenderingProgressMonitor progressMonitor;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/actionsupport/DeleteFromRelationConfirmationDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/actionsupport/DeleteFromRelationConfirmationDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/actionsupport/DeleteFromRelationConfirmationDialog.java	(revision 8308)
@@ -187,5 +187,5 @@
      */
     public static class RelationMemberTableModel extends DefaultTableModel {
-        private List<RelationToChildReference> data;
+        private transient List<RelationToChildReference> data;
 
         /**
Index: trunk/src/org/openstreetmap/josm/gui/bbox/SizeButton.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/bbox/SizeButton.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/bbox/SizeButton.java	(revision 8308)
@@ -35,5 +35,5 @@
     }
 
-    private final MouseAdapter mouseListener = new MouseAdapter() {
+    private final transient MouseAdapter mouseListener = new MouseAdapter() {
         @Override
         public void mouseReleased(MouseEvent e) {
Index: trunk/src/org/openstreetmap/josm/gui/bbox/SlippyMapBBoxChooser.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/bbox/SlippyMapBBoxChooser.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/bbox/SlippyMapBBoxChooser.java	(revision 8308)
@@ -117,10 +117,10 @@
     public static final String RESIZE_PROP = SlippyMapBBoxChooser.class.getName() + ".resize";
 
-    private TileLoader cachedLoader;
-    private OsmTileLoader uncachedLoader;
+    private transient TileLoader cachedLoader;
+    private transient OsmTileLoader uncachedLoader;
 
     private final SizeButton iSizeButton;
     private final SourceButton iSourceButton;
-    private Bounds bbox;
+    private transient Bounds bbox;
 
     // upper left and lower right corners of the selection rectangle (x/y on ZOOM_MAX)
Index: trunk/src/org/openstreetmap/josm/gui/bbox/SourceButton.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/bbox/SourceButton.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/bbox/SourceButton.java	(revision 8308)
@@ -29,5 +29,5 @@
     private static final int BOTTOM_PADDING = 5;
 
-    private TileSource[] sources;
+    private transient TileSource[] sources;
 
     private final ImageIcon enlargeImage;
@@ -57,5 +57,5 @@
     }
 
-    private final MouseListener mouseListener = new MouseAdapter() {
+    private final transient MouseListener mouseListener = new MouseAdapter() {
         @Override
         public void mouseReleased(MouseEvent e) {
Index: trunk/src/org/openstreetmap/josm/gui/bbox/TileSelectionBBoxChooser.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/bbox/TileSelectionBBoxChooser.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/bbox/TileSelectionBBoxChooser.java	(revision 8308)
@@ -83,5 +83,5 @@
 
     /** the current bounding box */
-    private Bounds bbox;
+    private transient Bounds bbox;
     /** the map viewer showing the selected bounding box */
     private TileBoundsMapView mapViewer;
@@ -224,10 +224,10 @@
         private JosmTextField tfMaxX;
         private JosmTextField tfMinX;
-        private TileCoordinateValidator valMaxY;
-        private TileCoordinateValidator valMinY;
-        private TileCoordinateValidator valMaxX;
-        private TileCoordinateValidator valMinX;
+        private transient TileCoordinateValidator valMaxY;
+        private transient TileCoordinateValidator valMinY;
+        private transient TileCoordinateValidator valMaxX;
+        private transient TileCoordinateValidator valMinX;
         private JSpinner spZoomLevel;
-        private TileBoundsBuilder tileBoundsBuilder = new TileBoundsBuilder();
+        private transient TileBoundsBuilder tileBoundsBuilder = new TileBoundsBuilder();
         private boolean doFireTileBoundChanged = true;
 
@@ -442,5 +442,5 @@
 
         private JosmTextField tfTileAddress;
-        private TileAddressValidator valTileAddress;
+        private transient TileAddressValidator valTileAddress;
 
         protected JPanel buildTextPanel() {
Index: trunk/src/org/openstreetmap/josm/gui/conflict/pair/ConflictResolver.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/pair/ConflictResolver.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/pair/ConflictResolver.java	(revision 8308)
@@ -72,8 +72,8 @@
     private RelationMemberMerger relationMemberMerger;
     private PropertiesMerger propertiesMerger;
-    private final List<IConflictResolver> conflictResolvers = new ArrayList<>();
-    private OsmPrimitive my;
-    private OsmPrimitive their;
-    private Conflict<? extends OsmPrimitive> conflict;
+    private final transient List<IConflictResolver> conflictResolvers = new ArrayList<>();
+    private transient OsmPrimitive my;
+    private transient OsmPrimitive their;
+    private transient Conflict<? extends OsmPrimitive> conflict;
 
     private ImageIcon mergeComplete;
Index: trunk/src/org/openstreetmap/josm/gui/conflict/pair/ListMergeModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/pair/ListMergeModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/pair/ListMergeModel.java	(revision 8308)
@@ -729,5 +729,5 @@
      */
     protected class EntriesSelectionModel extends DefaultListSelectionModel {
-        private final List<T> entries;
+        private final transient List<T> entries;
 
         public EntriesSelectionModel(ArrayList<T> nodes) {
@@ -823,5 +823,5 @@
 
         private int selectedIdx;
-        private final List<ComparePairType> compareModes;
+        private final transient List<ComparePairType> compareModes;
 
         /**
Index: trunk/src/org/openstreetmap/josm/gui/conflict/pair/ListMerger.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/pair/ListMerger.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/pair/ListMerger.java	(revision 8308)
@@ -53,5 +53,5 @@
     protected OsmPrimitivesTable theirEntriesTable;
 
-    protected ListMergeModel<T> model;
+    protected transient ListMergeModel<T> model;
 
     private CopyStartLeftAction copyStartLeftAction;
@@ -72,5 +72,5 @@
     private FreezeAction freezeAction;
 
-    private AdjustmentSynchronizer adjustmentSynchronizer;
+    private transient AdjustmentSynchronizer adjustmentSynchronizer;
 
     private  JLabel lblMyVersion;
Index: trunk/src/org/openstreetmap/josm/gui/conflict/pair/PairTable.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/pair/PairTable.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/pair/PairTable.java	(revision 8308)
@@ -14,6 +14,6 @@
 public abstract class PairTable extends OsmPrimitivesTable {
 
-    private final ListMergeModel<? extends PrimitiveId> model;
-    
+    private final transient ListMergeModel<? extends PrimitiveId> model;
+
     public PairTable(String name, ListMergeModel<? extends PrimitiveId> model, OsmPrimitivesTableModel dm, TableColumnModel cm, ListSelectionModel sm) {
         super(dm, cm, sm);
Index: trunk/src/org/openstreetmap/josm/gui/conflict/pair/nodes/NodeListTableCellRenderer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/pair/nodes/NodeListTableCellRenderer.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/pair/nodes/NodeListTableCellRenderer.java	(revision 8308)
@@ -25,5 +25,5 @@
 
     private final ImageIcon icon;
-    private final Border rowNumberBorder;
+    private final transient Border rowNumberBorder;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/conflict/pair/properties/PropertiesMergeModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/pair/properties/PropertiesMergeModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/pair/properties/PropertiesMergeModel.java	(revision 8308)
@@ -289,5 +289,5 @@
         if (myCoords != null && theirCoords == null) return true;
         if (myCoords == null && theirCoords == null) return false;
-        return !myCoords.equalsEpsilon(theirCoords);
+        return myCoords != null && !myCoords.equalsEpsilon(theirCoords);
     }
 
Index: trunk/src/org/openstreetmap/josm/gui/conflict/pair/properties/PropertiesMerger.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/pair/properties/PropertiesMerger.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/pair/properties/PropertiesMerger.java	(revision 8308)
@@ -48,5 +48,5 @@
     private JLabel lblTheirReferrers;
 
-    private final PropertiesMergeModel model;
+    private final transient PropertiesMergeModel model;
 
     protected JLabel buildValueLabel(String name) {
Index: trunk/src/org/openstreetmap/josm/gui/conflict/pair/relation/RelationMemberTableCellRenderer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/pair/relation/RelationMemberTableCellRenderer.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/pair/relation/RelationMemberTableCellRenderer.java	(revision 8308)
@@ -23,5 +23,5 @@
  */
 public  class RelationMemberTableCellRenderer extends JLabel implements TableCellRenderer {
-    private  Border rowNumberBorder = null;
+    private transient Border rowNumberBorder = null;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/conflict/pair/tags/TagMergeModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/pair/tags/TagMergeModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/pair/tags/TagMergeModel.java	(revision 8308)
@@ -33,11 +33,14 @@
 
     /** the list of tag merge items */
-    private final List<TagMergeItem> tagMergeItems;
+    private final transient List<TagMergeItem> tagMergeItems;
 
     /** the property change listeners */
-    private final List<PropertyChangeListener> listeners;
+    private final transient List<PropertyChangeListener> listeners;
 
     private int numUndecidedTags = 0;
 
+    /**
+     * Constructs a new {@code TagMergeModel}.
+     */
     public TagMergeModel() {
         tagMergeItems = new ArrayList<>();
Index: trunk/src/org/openstreetmap/josm/gui/conflict/pair/tags/TagMerger.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/pair/tags/TagMerger.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/pair/tags/TagMerger.java	(revision 8308)
@@ -42,5 +42,5 @@
     private JTable theirTable;
     private final TagMergeModel model;
-    private AdjustmentSynchronizer adjustmentSynchronizer;
+    private transient AdjustmentSynchronizer adjustmentSynchronizer;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/conflict/tags/CombinePrimitiveResolverDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/tags/CombinePrimitiveResolverDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/tags/CombinePrimitiveResolverDialog.java	(revision 8308)
@@ -116,5 +116,5 @@
     private boolean canceled;
     private JPanel pnlButtons;
-    protected OsmPrimitive targetPrimitive;
+    protected transient OsmPrimitive targetPrimitive;
 
     /** the private help action */
Index: trunk/src/org/openstreetmap/josm/gui/conflict/tags/PasteTagsConflictResolverDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/tags/PasteTagsConflictResolverDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/tags/PasteTagsConflictResolverDialog.java	(revision 8308)
@@ -58,5 +58,5 @@
 
     private TagConflictResolver allPrimitivesResolver;
-    private Map<OsmPrimitiveType, TagConflictResolver> resolvers;
+    private transient Map<OsmPrimitiveType, TagConflictResolver> resolvers;
     private JTabbedPane tpResolvers;
     private Mode mode;
@@ -395,5 +395,5 @@
     private static class StatisticsTableModel extends DefaultTableModel {
         private static final String[] HEADERS = new String[] {tr("Paste ..."), tr("From ..."), tr("To ...") };
-        private List<StatisticsInfo> data;
+        private transient List<StatisticsInfo> data;
 
         public StatisticsTableModel() {
Index: trunk/src/org/openstreetmap/josm/gui/conflict/tags/RelationMemberConflictDecisionEditor.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/tags/RelationMemberConflictDecisionEditor.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/tags/RelationMemberConflictDecisionEditor.java	(revision 8308)
@@ -34,5 +34,5 @@
     }
 
-    private final CellEditorSupport tableCellEditorSupport;
+    private final transient CellEditorSupport tableCellEditorSupport;
     private RelationMemberConflictDecisionType originalValue;
 
Index: trunk/src/org/openstreetmap/josm/gui/conflict/tags/RelationMemberConflictResolverColumnModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/tags/RelationMemberConflictResolverColumnModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/tags/RelationMemberConflictResolverColumnModel.java	(revision 8308)
@@ -20,5 +20,5 @@
     private final DefaultTableCellRenderer defaultTableCellRenderer = new DefaultTableCellRenderer();
 
-    private final OsmPrimitivRenderer primitiveRenderer = new OsmPrimitivRenderer() {
+    private final transient OsmPrimitivRenderer primitiveRenderer = new OsmPrimitivRenderer() {
         @Override
         public Component getTableCellRendererComponent(JTable table,
@@ -29,5 +29,5 @@
     };
 
-    private final TableCellRenderer tableRenderer = new TableCellRenderer() {
+    private final transient TableCellRenderer tableRenderer = new TableCellRenderer() {
         @Override
         public Component getTableCellRendererComponent(JTable table, Object value,
Index: trunk/src/org/openstreetmap/josm/gui/conflict/tags/RelationMemberConflictResolverModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/tags/RelationMemberConflictResolverModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/tags/RelationMemberConflictResolverModel.java	(revision 8308)
@@ -31,7 +31,7 @@
 
     /** the list of conflict decisions */
-    protected final List<RelationMemberConflictDecision> decisions;
+    protected final transient List<RelationMemberConflictDecision> decisions;
     /** the collection of relations for which we manage conflicts */
-    protected Collection<Relation> relations;
+    protected transient Collection<Relation> relations;
     /** the number of conflicts */
     private int numConflicts;
